Bug 35882 - Use template wrapper for accordions: Notices
Summary: Use template wrapper for accordions: Notices
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Julian Maurice
URL:
Keywords:
Depends on: 35877
Blocks:
  Show dependency treegraph
 
Reported: 2024-01-23 19:14 UTC by Owen Leonard
Modified: 2024-03-26 10:36 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.05.00


Attachments
Bug 35882: Use template wrapper for accordions: Notices (15.32 KB, patch)
2024-01-24 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 35882: Use template wrapper for accordions: Notices (15.37 KB, patch)
2024-02-04 22:29 UTC, David Nind
Details | Diff | Splinter Review
Bug 35882: Use template wrapper for accordions: Notices (15.43 KB, patch)
2024-03-26 08:39 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 35882: (QA follow-up) Fix wrapper parameter (panelgroup_id) (1.10 KB, patch)
2024-03-26 08:39 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2024-01-23 19:14:28 UTC
Building on Bug 35877, this patch will update the notice edit interface to use WRAPPERs to generate the Bootstrap accordion markup.
Comment 1 Owen Leonard 2024-01-24 12:54:10 UTC
Created attachment 161330 [details] [review]
Bug 35882: Use template wrapper for accordions: Notices

This patch updates the notices template so that Bootstrap
accordion markup for the notice edit view is generated by WRAPPERs.

To test, apply the patch and go to Tools -> Notices.

- Edit any notice.
- The list of message transport types (Email, Print, SMS) should be
  displayed as before: Collapsible panels where clicking the transport
  type heading expands the corresponding information.
- Confirm that changes to notices are correctly saved.
Comment 2 David Nind 2024-02-04 22:29:36 UTC
Created attachment 161738 [details] [review]
Bug 35882: Use template wrapper for accordions: Notices

This patch updates the notices template so that Bootstrap
accordion markup for the notice edit view is generated by WRAPPERs.

To test, apply the patch and go to Tools -> Notices.

- Edit any notice.
- The list of message transport types (Email, Print, SMS) should be
  displayed as before: Collapsible panels where clicking the transport
  type heading expands the corresponding information.
- Confirm that changes to notices are correctly saved.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Julian Maurice 2024-03-26 08:39:44 UTC
Created attachment 163890 [details] [review]
Bug 35882: Use template wrapper for accordions: Notices

This patch updates the notices template so that Bootstrap
accordion markup for the notice edit view is generated by WRAPPERs.

To test, apply the patch and go to Tools -> Notices.

- Edit any notice.
- The list of message transport types (Email, Print, SMS) should be
  displayed as before: Collapsible panels where clicking the transport
  type heading expands the corresponding information.
- Confirm that changes to notices are correctly saved.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Julian Maurice 2024-03-26 08:39:46 UTC
Created attachment 163891 [details] [review]
Bug 35882: (QA follow-up) Fix wrapper parameter (panelgroup_id)

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Katrin Fischer 2024-03-26 10:22:05 UTC
Pushed for 24.05!

Well done everyone, thank you!